<script setup>

import useUtils from "@/utils/utils.js"
import {ref} from "vue"

const utils = useUtils()

const props = defineProps(["v-ip"])

const containerRef = ref()
const popup = function () {
	/**let ip = props.vIp
	if (ip == null || ip.length == 0) {
		let e = containerRef.value
		ip = e.innerText
		if (ip == null) {
			ip = e.textContent
		}
	}

	utils.popup("/servers/ipbox?ip=" + ip, {
		width: "50em",
	})**/
}


</script>

<template>
	<span @click.prevent="popup()" ref="containerRef"><slot></slot></span>
</template>

<style scoped>
</style>
